
CheckBox := Button clone
CheckBox protoName := "CheckBox"

CheckBox position setX(100) setY(100)
CheckBox isSelected := 0
CheckBox image := ImageManager item("CheckBox")
CheckBox altImage := ImageManager item("CheckBoxChecked")
CheckBox size setWidth(26) setHeight(26)
CheckBox title := "CheckBox"
CheckBox motionAction := Nil

CheckBox setImage := method(v, self image := v)
CheckBox setAltImage := method(v, self altImage := v)
CheckBox sizeToImage := method(
  if (image, self size setWidth(image width) setHeight(image height))
)

CheckBox sizeToImage

CheckBox draw := method(
  if (self image, 
    if (isSelected == 0, image draw, if (altImage, altImage draw, image draw))
    return
  )
)

CheckBox drawBackground := method(self)


CheckBox motion := method(
  "CheckBox motion\n" print
  isSelected  := if (self screenHit, 1, 0)
  write("isSelected := ", isSelected, "\n")
  //if(isSelected == 1, 
    if (self target and self motionAction, self target perform(motionAction, self)) 
  //)
  glutPostRedisplay
)
