
MenuItem := View clone
MenuItem protoName := "MenuItem"

MenuItem title := "MenuItem"
MenuItem setTitle := method(t, title = t; self)
MenuItem setActionTarget(Nil)
MenuItem setAction(Nil)
MenuItem tag := Nil
MenuItem isSelected := 0
MenuItem isTmpSelected := 0
MenuItem select := method(isSelected = 1)
MenuItem unselect := method(isSelected = 0)
MenuItem tmpSelect := method(isTmpSelected = 1)
MenuItem tmpUnselect := method(isTmpSelected = 0)
MenuItem checkImage := ImageManager item("Check")
MenuItem checkWhiteImage := ImageManager item("CheckWhite")

MenuItem draw := method(
  //write("MenuItem draw ", position x, " ", position y, "\n")
  if (isTmpSelected == 1,
    glColor4d(0,0,0,.2)
    size drawQuad
  )
  if (isSelected == 1, 
    glPushMatrix
    glTranslated(5, 5, 0)
    if(isTmpSelected == 1, checkWhiteImage draw, checkImage draw)
    glPopMatrix
  )

  glPushMatrix
  if (isTmpSelected == 1, glColor4d(1,1,1,1), glColor4d(0,0,0,1))
  glTranslated(20, 5, 0)
  font drawString(title)
  glPopMatrix
)

MenuItem mouse := method(
  self isSelected := if(Mouse state == 1, 0, 1)
  glutPostRedisplay
)

MenuItem motion := method(Nop)
