
MovieView := View clone
MovieView position setX(0) setY(0)
MovieView isSelected := 0
MovieView size setWidth(100) setHeight(100)
MovieView movie := Nil
MovieView motionAction := Nil

MovieView setMovie := method(v, self movie := v; self)
MovieView sizeToMovie := method(
  if (movie, self size setWidth(movie width) setHeight(movie height))
  //movie setOutputWidth(movie width) setOutputHeight(movie height)
  self
)

MovieView draw := method(
  movie draw
  if (isSelected == 1) then (
    glColor4d(0, 0, 0, .1)
    size drawQuad
  )
)

MovieView timer := method(
  if (self movie, 
    movie nextFrame
    if (movie isAtEnd, movie rewind)
    if (movie error, write(movie error, "\n"); exit)
  )
)

MovieView drawBackground := method(self)

MovieView motion := method(self)

